import request from '@/utils/request'

// 查询网站新闻列表
export function listNEWS(query) {
  return request({
    url: '/news/list',
    method: 'get',
    params: query
  })
}

// 查询网站新闻所有列表
export function listAllNEWS(query) {
  return request({
    url: '/news/listAll',
    method: 'get',
    params: query
  })
}

// 查询网站新闻详细
export function getNEWS(id) {
  return request({
    url: '/news/getInfo/' + id,
    method: 'get'
  })
}

// 新增网站新闻
export function addNEWS(data) {
  return request({
    url: '/news/add',
    method: 'post',
    data: data
  })
}

// 修改网站新闻
export function updateNEWS(data) {
  return request({
    url: '/news/edit',
    method: 'post',
    data: data
  })
}

// 删除网站新闻
export function delNEWS(id) {
  return request({
    url: '/news/remove/' + id,
    method: 'get'
  })
}

// 上传文件
export function upload(data) {
  return request({
    url: '/common/upload/',
    method: 'post',
    data:data
  })
}
